/* $Id: TextType.java 626 2013-01-13 18:51:36Z shayashi $ */
package smart_gs.image_search.logical;

import smart_gs.GSConstants;

//20130111 this class is obsolete after 0.91.
// It is kept for compatibility to older version,
// since preference files for 0.91 and later might be used by older versions.
// Thus, 0.91 and later NEGLECT the TextType element in preference files,
// but the older versions respect it and may rewrite.

//20080716 shimizu wrote;
public class TextType {
	public static final int HORIZONTAL = GSConstants.TEXT_TYPE_HORIZONTAL;
	public static final int VERTICAL = GSConstants.TEXT_TYPE_VERTICAL;
	private static int type = HORIZONTAL;
	public static void setTextType(int t){
		type = t;
	}
	
	public static boolean isHorizontal(){
		if(type == HORIZONTAL){
			return true;
		}else{
			return false;
		}
	}
	
	public static int getTextType(){
		int t = type;
		return t;
	}
		
}